Loading...
Searching...
No Matches
wr_cellhd.c File Reference

GIS Library - Write Cell Header functions. More...

`#include <stdio.h>`
`#include <grass/gis.h>`
Include dependency graph for wr_cellhd.c:

Go to the source code of this file.

## Functions

void | G__write_Cell_head (FILE *fd, const struct Cell_head *cellhd, int is_cellhd)
| Write cell header or window.
void | G__write_Cell_head3 (FILE *fd, const struct Cell_head *cellhd, int is_cellhd)
| Write 3D cell header or window.

## Detailed Description

GIS Library - Write Cell Header functions.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  1999-2014

Definition in file wr_cellhd.c.

## Function Documentation

## G__write_Cell_head()

void G__write_Cell_head | ( | FILE * | fd,
|  | const struct Cell_head * | cellhd,
|  | int | is_cellhd )

Write cell header or window.

Parameters

  [in,out] | fd | header file
  [in] | cellhd | pointed to cell header structure
  [in] | is_cellhd | 1 cell header; 0 window

Returns

Definition at line 27 of file wr_cellhd.c.

References G_format_easting(), G_format_northing(), and G_format_resolution().

Referenced by G__write_Cell_head3().

## G__write_Cell_head3()

void G__write_Cell_head3 | ( | FILE * | fd,
|  | const struct Cell_head * | cellhd,
|  | int | is_cellhd )

Write 3D cell header or window.

Parameters

  [in,out] | fd | header file
  [in] | cellhd | pointer to cell header structure
  [in] | is_cellhd | 1 cell header; 0 window

Returns

Definition at line 72 of file wr_cellhd.c.

References G__write_Cell_head(), and G_format_resolution().

Referenced by G_put_element_window().